Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453455 - Support multiple OS flavors in same org
Summary: Support multiple OS flavors in same org
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space02
TreeView+ depends on / blocked
 
Reported: 2008-06-30 18:42 UTC by Michael DeHaan
Modified: 2008-10-15 18:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-15 18:47:03 UTC


Attachments (Terms of Use)

Description Michael DeHaan 2008-06-30 18:42:56 UTC
Description of problem:

It is not possible now to use a Spacewalk instance to install Fedora, RHEL,
CentOS and so forth in the same organization as mentioned here:  

https://fedorahosted.org/spacewalk/wiki/NevraIssue

This is a request to fix this support so that it is possible to mix computers
between multiple OS flavors in the same org, as this will be extremely helpful
to driving adoption for the project.

Comment 1 Clifford Perry 2008-08-01 17:57:20 UTC
Code is going into Space 0.2 for this. 

Comment 2 John Matthews 2008-09-12 14:27:12 UTC
We have a sw 0.2 instance setup with:
Fedora 9, CentOS 5.2, and RHEL 5.2 content all imported into ORG 1.

RHEL5.2 was imported through satellite-sync from channel-dumps.
Fedora 9 and CentOS 5.2 were added through rhnpush.

yum install functionality has been verified on RHEL5.2 and F9 clients.

Package install from server, then running rhn_check to get action and install on client was verified for RHEL 5.2 and F9.

Waiting on a CentOS5 client to verify rest.

Comment 3 John Matthews 2008-09-15 16:12:21 UTC
Ran through yum install of a package and scheduling a package install on a CentOS client. Looks good.

Comment 5 Justin Sherrill 2008-10-15 18:47:03 UTC
Looks like this can be closed current release.


Note You need to log in before you can comment on or make changes to this bug.